function rand_vec = pick3(input_vec)
%return a random subvector from input_vec
if(length(input_vec) <4)
    error('input_vec must be of length at least 4')
end

rand_indices = randi([1 length(input_vec)],1,3);
rand_vec = input_vec(rand_indices);

%extra: to make sure we return unique entries
num_unique = length(unique(rand_vec));
while(num_unique < 3)
    rand_indices = randi([1 length(input_vec)],1,3);
    rand_vec = input_vec(rand_indices);
    num_unique = length(unique(rand_vec));
end
end